<?xml version="1.0" encoding="utf-8"?>
<Entity 
Schema="STOR" 
Name="STORAGE_ROOM" 
Description="Помещение" 
PrimaryKey="StorageRoomID" 
DNAttributes="{Number}" 
DisplayName="Помещение №{0}">
  <Fields>
    <Attribute Name="StorageRoomID" Type="guid" Description="Идентификатор" />
    <Attribute Name="Number" Type="int" Description="Номер" Required="1" />
    <Attribute Name="Name" Type="string" Description="Наименование" />
    <Attribute Name="Specification" Type="string" Description="Описание" CharacterMaximumLength="512" />
    <Child Name="StorageRacks" Type="STOR.STORAGE_RACK" Description="Стеллаж" ChildAttribute="StorageRoom" />
    <Parent Name="Storage" Type="STOR.STORAGE" Description="Склад" Required="1" />
  </Fields>
  <DbMapping>
    <Table name="T_STORAGE_ROOM">
      <Map Name="StorageRoomID" Column="StorageRoomID" />
      <Map Name="Number" Column="Number" />
      <Map Name="Name" Column="Name" />
      <Map Name="Specification" Column="Specification" />
      <Map Name="Storage" Column="Storage" />
    </Table>
  </DbMapping>
</Entity>